## org.exist.soap
Class QueryResponseCollections

    java.lang.Object
      org.exist.soap.QueryResponseCollections

All Implemented Interfaces:
  java.io.Serializable

public class QueryResponseCollections
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`QueryResponseCollections()`
`QueryResponseCollections(QueryResponseCollection[] elements)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`QueryResponseCollection[]` `getElements()` Gets the elements value for this QueryResponseCollections.
`QueryResponseCollection` `getElements(int i)`
`static org.apache.axis.encoding.Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` `getTypeDesc()` Return type metadata object
`int` `hashCode()`
`void` `setElements(int i, QueryResponseCollection _value)`
`void` `setElements(QueryResponseCollection[] elements)` Sets the elements value for this QueryResponseCollections.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryResponseCollections

    public QueryResponseCollections()

### QueryResponseCollections

    public QueryResponseCollections(QueryResponseCollection[] elements)

Method Detail

### getElements

    public QueryResponseCollection[] getElements()

  Gets the elements value for this QueryResponseCollections.

  Returns:
    elements

### setElements

    public void setElements(QueryResponseCollection[] elements)

  Sets the elements value for this QueryResponseCollections.

  Parameters:
    `elements` -

### getElements

    public QueryResponseCollection getElements(int i)

### setElements

    public void setElements(int i,
                            QueryResponseCollection _value)

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Copyright (C) Wolfgang Meier. All rights reserved.